UbuntuUpdates.org

Package "rabbitmq-server"

Name: rabbitmq-server

Description:

AMQP server written in Erlang

Latest version: 3.8.9-2ubuntu0.1
Release: hirsute (21.04)
Level: updates
Repository: main
Homepage: https://www.rabbitmq.com/

Links


Download "rabbitmq-server"


Other versions of "rabbitmq-server" in Hirsute

Repository Area Version
base main 3.8.9-2
security main 3.8.9-2ubuntu0.1

Changelog

Version: 3.8.9-2ubuntu0.1 2021-06-24 18:06:23 UTC

  rabbitmq-server (3.8.9-2ubuntu0.1) hirsute-security; urgency=medium

  * SECURITY UPDATE: Denial of service
    - debian/patches/CVE-2021-22116.patch: treat arrays with extra or
      missing input as fatal errors in src/amqp10_binary_parser.erl,
      test/binary_parser_SUITE.erl.
    - CVE-2021-22116

 -- Leonidas Da Silva Barbosa <email address hidden> Wed, 23 Jun 2021 08:41:33 -0300

CVE-2021-22116 RabbitMQ all versions prior to 3.8.16 are prone to a denial of service vulnerability due to improper input validation in AMQP 1.0 client connection e



About   -   Send Feedback to @ubuntu_updates